Package org.gradle.nativeplatform

## Interface NativeExecutableSpec

- All Superinterfaces:
    `ApplicationSpec`, `ComponentSpec`, `GeneralComponentSpec`, `ModelElement`, `Named`, `NativeComponentSpec`, `PlatformAwareComponentSpec`, `SourceComponentSpec`, `TargetedNativeComponent`, `VariantComponent`, `VariantComponentSpec`

      @Incubating
      public interface NativeExecutableSpec
      extends ApplicationSpec, NativeComponentSpec, TargetedNativeComponent

  Definition of a native executable component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeComponentSpec

      `getBaseName, setBaseName`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.nativeplatform.TargetedNativeComponent

      `targetBuildTypes, targetFlavors`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`